Subject: [dhcwg] Using DHCPv6 to carry IPv4 information (rfc3315bis)

From: "Templin, Fred L" <[email-masked]>
Date: Thu, 11 Aug 2016 14:51:51 +0000

DHCPv6 can be used to carry IPv4 information in IPv4-mapped IPv6 addresses.
Therefore, I believe the following should be removed from rfc3315bis:

> 2) Section 1.2, the sentences: "[RFC3315] suggested that future work
>    might be to extend DHCPv6 to carry IPv4 address and configuration
>    information. However, the current consensus of the IETF is that
>    DHCPv4 should be used rather than DHCPv6 when conveying IPv4
>    configuration information to nodes." This text is at odds with the
>    AERO spec, where DHCPv6 is used to carry IPv4 configuration info in
>    environments where DHCPv4 mechanisms cannot be applied. Suggestion
>    is to remain silent on this subject and remove these two sentences,
>    then leave it for other documents to define mechanisms for carrying
>    IPv4 information in DHCPv6 messages.

Thanks - Fred
[email-masked]

---

From: "Bernie Volz (volz)" <[email-masked]>
Date: Fri, 12 Aug 2016 19:47:32 +0000

Fred:

I think this concept is still true and I'm not in favor of changing the text. It is really more a statement about DHCPv6 does not replace DHCPv4 for IPv4. There are isolated instances where some v4 configuration information may be provided.

Regarding AERO, I'm not sure where this is specified and I suspect that are IPv4-compatible IPv6 address?

- Bernie

-----Original Message-----
From: dhcwg [mailto:[email-masked]] On Behalf Of Templin, Fred L
Sent: Thursday, August 11, 2016 10:52 AM
To: <[email-masked]> <[email-masked]>
Subject: [dhcwg] Using DHCPv6 to carry IPv4 information (rfc3315bis)

Thanks - Fred

_______________________________________________
dhcwg mailing list
[email-masked]
https://www.ietf.org/mailman/listinfo/dhcwg

---

From: "Templin, Fred L" <[email-masked]>
Date: Fri, 12 Aug 2016 23:17:37 +0000

Hi Bernie,

> From: Bernie Volz (volz) [mailto:[email-masked]]
> Sent: Friday, August 12, 2016 12:48 PM
> To: Templin, Fred L <[email-masked]>; <[email-masked]> <[email-masked]>
> Subject: RE: Using DHCPv6 to carry IPv4 information (rfc3315bis)
> 
> Fred:
> 
> I think this concept is still true and I'm not in favor of changing the text.
> It is really more a statement about DHCPv6 does not replace DHCPv4 for IPv4.

I could agree with this, but that is not the way the text reads to me, as
the current text seems to infer that DHCPv6 cannot carry IPv4 information.
Why not change it to say exactly what you just said as:

  "[RFC3315] suggested that future work might be to extend DHCPv6 to carry
   IPv4 address and configuration information. However, the current consensus
  of the IETF is that DHCPv6 does not replace DHCPv4 for IPv4.

> There are isolated instances where some v4 configuration information may be provided.
> 

I was assuming it would be IPv4-mapped IPv6 address (the one with the funny
"FFFF" stuck in the interface identifier portion) since RFC4291 claims that IPv4
compatible is deprecated, but I like IPv4-compatible better - is it OK to use it?

Thanks - Fred

---

From: "Bernie Volz (volz)" <[email-masked]>
Date: Fri, 12 Aug 2016 23:54:52 +0000

I still think the original text is fine and more the intent. We want to be very careful with what v4 is configured via DHCPv6. Remember that v4 will (hopefully) disappear someday.

> I was assuming it would be IPv4-mapped IPv6 address (the one with the funny "FFFF" stuck in the interface identifier portion) since RFC4291 claims that IPv4 compatible is deprecated, but I like IPv4-compatible better - is it OK to use it?

Ok, IPv4-mapped. I always forget which is which (I think I actually copied that from one of your AERO documents).

In terms of whether OK to use the deprecated one, I think that might be a better question for 6man / v6ops.

- Bernie

-----Original Message-----
From: Templin, Fred L [mailto:[email-masked]] 
Sent: Friday, August 12, 2016 7:18 PM
To: Bernie Volz (volz) <[email-masked]>; <[email-masked]> <[email-masked]>
Subject: RE: Using DHCPv6 to carry IPv4 information (rfc3315bis)

Hi Bernie,

> It is really more a statement about DHCPv6 does not replace DHCPv4 for IPv4.

I could agree with this, but that is not the way the text reads to me, as the current text seems to infer that DHCPv6 cannot carry IPv4 information.
Why not change it to say exactly what you just said as:

> Regarding AERO, I'm not sure where this is specified and I suspect that are IPv4-compatible IPv6 address?

I was assuming it would be IPv4-mapped IPv6 address (the one with the funny "FFFF" stuck in the interface identifier portion) since RFC4291 claims that IPv4 compatible is deprecated, but I like IPv4-compatible better - is it OK to use it?

Thanks - Fred

---

From: "Templin, Fred L" <[email-masked]>
Date: Mon, 15 Aug 2016 15:08:33 +0000

Hi Bernie,

OK to leave it as-is.

About IPv4-mapped vs. IPv4-compatible, I think AERO is fine to do its own
thing in that regard as long as it does not violate RFC4291(bis). So, even
though RFC4291(bis) says IPv6-compatible is deprecated, I think I am
going to go with that to get rid of  the goofy "FFFF" in the middle of the
IPv4-mapped interface ID. Also, I think I read somewhere that IPv4-mapped
is not to be sent over the wire, whereas AERO is going to be sending these
things over the wire.

Thanks - Fred

> Sent: Friday, August 12, 2016 4:55 PM
> I still think the original text is fine and more the intent. We want to be very careful with what v4 is configured via DHCPv6. Remember
> that v4 will (hopefully) disappear someday.
> 
> > I was assuming it would be IPv4-mapped IPv6 address (the one with the funny "FFFF" stuck in the interface identifier portion) since
> RFC4291 claims that IPv4 compatible is deprecated, but I like IPv4-compatible better - is it OK to use it?
> 
> I was assuming it would be IPv4-mapped IPv6 address (the one with the funny "FFFF" stuck in the interface identifier portion) since
> RFC4291 claims that IPv4 compatible is deprecated, but I like IPv4-compatible better - is it OK to use it?
> 
> Thanks - Fred